Page MenuHomePhabricator

Identify features Bugzilla users would miss in Phabricator
Closed, ResolvedPublic

Description

Which features would Bugzilla users really miss? If you are not sure whether feature X is supported, under development, roadmapped... just ask.

Details

Reference
fl46

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedAklapper
ResolvedNone
ResolvedAklapper
Declinedchasemp
ResolvedQgil
ResolvedAklapper
ResolvedQgil
InvalidAklapper
DuplicateAklapper
DeclinedAklapper
OpenNone
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedAklapper
OpenNone
DeclinedAklapper
InvalidQgil
DeclinedQgil
DeclinedAklapper
DeclinedAklapper
OpenNone
Resolvedmmodell
ResolvedAklapper
ResolvedNone
DeclinedAklapper
ResolvedQgil
ResolvedQgil
Resolvedmmodell
DuplicateNone
OpenNone
ResolvedAklapper
DeclinedAklapper
InvalidQgil
DuplicateAklapper
DuplicateNone
DeclinedQgil
ResolvedNone
InvalidQChris
DeclinedAklapper
ResolvedAklapper
Resolved yuvipanda
ResolvedQgil
DeclinedNone
ResolvedQgil
ResolvedAklapper
ResolvedQgil
OpenNone

Event Timeline

qgil wrote on 2014-04-07 18:56:37 (UTC)

Good point that goes beyond Bugzilla, @Ragesoss. I have created this task about porting the tech community metrics we need: T53: Phabricator uses Yet Another Markup System and we'd really like to switch it to something else if possible

ragesoss wrote on 2014-04-07 19:36:56 (UTC)

One thing I'm starting to miss is that Bugzilla automatically excludes me from emails for comments that *I* make.

ragesoss wrote on 2014-04-07 19:38:54 (UTC)

Ah, I see that you can disable self-emails via Preferences. Can we enable that disablement for new users by default?

aude wrote on 2014-04-07 20:16:18 (UTC)

quips! we must have quips and be able to import the ones from bugzilla :)

gpaumier wrote on 2014-04-09 13:13:46 (UTC)

Maniphest doesn't seem to provide dependency trees, and it's not on their roadmap: https://secure.phabricator.com/T4391#6

aklapper wrote on 2014-04-09 13:42:31 (UTC)

In reply to Rage Soss "Does Phabricator do charting of open bugs over time":

There is http://fab.wmflabs.org/fact/ but I have not played with it yet.

jdforrester wrote on 2014-04-09 19:33:43 (UTC)

@Sage: I can't find a way to configure default user options (at all), so… no?

ragesoss wrote on 2014-04-09 19:41:59 (UTC)

@James, it's "written in PHP, so literally anyone can contribute, even if they have no idea how to program."

Macro puzzle_globe_banner: Please read a personal appeal from a ball of spaghetti code

scfc wrote on 2014-04-10 14:18:52 (UTC)

I would have said "Add other users as CC", but that's an "Action" in the list above :-). I don't see any showstoppers; missing in general: Comfort with what I'm used to. The UI feels a bit noisy. Also, I find it very confusing that things like the bug tracker have their own names (apparently "Maniphest"). I'm sure names like "Differential", "Diffusion" (Quick quiz: Don't look it up! What's what?), or "Diviner" have a meaning to their developers, but these feel like bumps in the road for the rest.

What's not missing, but what certainly would be nice: Credentials shared with wikitech (for the common users).

qgil wrote on 2014-04-17 18:57:03 (UTC)

Considering that we are talking about Bugzilla features "really missing", I think we ca clean a bit this list. To be discussed in every task. Thank you Nemo and bawolff for the wave of feedback!

Nemo_bis wrote on 2014-04-18 07:17:43 (UTC)

Considering that we are talking about Bugzilla features "really missing",

A meaningful interface is definitely a feature of bugzilla that I'm missing. I agree that we could make the title of this task clearer.

By the way, after the 30th or so bug I also found a couple small things I liked but I already forgot them. Where to document the things that phabricator does better than our current tools?

qgil wrote on 2014-04-19 16:34:56 (UTC)

Cleaning the direct dependencies to this task in order to keep track of what really matters To Bugzilla users.

qgil wrote on 2014-04-27 05:17:05 (UTC)

I have documented the relevant missing Bugzilla features at https://www.mediawiki.org/wiki/Requests_for_comment/Phabricator/versus_Bugzilla#Missing_features

The blockers for a migration are defined at T39: Set up permissions for Phabricator. If you want to propose more blockers, please discuss there (or at the wiki page).

qgil wrote on 2014-04-27 06:19:22 (UTC)

All tasks created related to the Bugzilla vs Phabricator discussion are listed as dependencies for documentation purposes (they are not actual blockers of this task). If you find another task, just add it.

scfc wrote on 2014-05-12 14:09:14 (UTC)

What's the Phabricator equivalent for "Default CC", i. e. how can I subscribe to all (new) tasks in a project/component?

jdforrester wrote on 2014-05-12 17:59:31 (UTC)

What's the Phabricator equivalent for "Default CC", i. e. how can I subscribe to all (new) tasks in a project/component?

When you are a member of a project you can get you to be automatically e-mailed with a variety of information about that project – http://fab.wmflabs.org/settings/panel/emailpreferences/ has options for Differential (code review) and Maniphest (task management).

scfc wrote on 2014-05-12 21:22:49 (UTC)

@Aklapper: Thanks. Provided that what I just did works, it's a tad complicated (= a "subscribe" button for a project that creates the rule automatically would be nice), but clearly superior to Bugzilla where none of this could be configured by the user.

qgil wrote on 2014-05-13 00:40:30 (UTC)

(= a "subscribe" button for a project that creates the rule automatically would be nice)

In the works: https://secure.phabricator.com/T4967

Nemo_bis wrote on 2014-06-16 08:55:16 (UTC)

In T46#99, @Qgil wrote:

(= a "subscribe" button for a project that creates the rule automatically would be nice)

In the works: https://secure.phabricator.com/T4967

Given https://secure.phabricator.com/T4967#15 and reply, is there a ticket for making everyone able to join a project (or about project permissions in general)?

qgil wrote on 2014-06-16 18:46:09 (UTC)

@Nemo_bis, see T64: Weird chess icon in page title.

aklapper wrote on 2014-09-03 15:12:33 (UTC)

Removed some recently added "blocking tasks". Task topic says features Bugzilla users would miss. I don't consider the naming of a button or functionality that wasn't available in Bugzilla "missing features".

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:21 AM
flimport added a subscriber: Aklapper.
chasemp changed the status of subtask T63: Phabricator requires a "real name" to register from Resolved to Declined.Nov 3 2014, 2:10 PM
Qgil changed the status of subtask T63: Phabricator requires a "real name" to register from Declined to Resolved.Nov 3 2014, 2:15 PM
Nemo_bis changed the status of subtask T251: Allow to sort tasks by number of tokens from Declined to Resolved.Dec 12 2014, 7:30 AM
Qgil closed subtask T67: RSS/Atom feeds as Declined.Apr 8 2015, 11:16 AM
Nemo_bis changed the status of subtask T96: Dependency tree view of tasks from Resolved to Declined.Jul 18 2016, 2:46 PM